---
title: Document.hasFocus()
slug: Web/API/Document/hasFocus
tags:
  - API
  - DOM
  - Focus
  - Method
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>hasFocus()</strong></code> method of the {{domxref("Document")}} interface returns a {{jsxref("Boolean")}} value indicating whether the document or any element inside the document has focus. This method can be used to determine whether the active element in a document has focus.</p>

<div class="note">
<p>When viewing a document, an element with focus is always the <a href="/en-US/docs/Web/API/DocumentOrShadowRoot/activeElement">active element</a> in the document, but an active element does not necessarily have focus. For example, an active element within a popup window that is not the foreground doesn't have focus.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>focused</var> = <var>document</var>.hasFocus();</pre>

<h3 id="Return_value">Return value</h3>

<p><code>false</code> if the active element in the document has no focus; <code>true</code> if the active element in the document has focus.</p>

<h2 id="Example">Example</h2>

<p>This example checks whether the document has focus every 300 milliseconds. To test the functionality of <code>hasFocus()</code>, click on the button to open a new window, and try switching between the two pages.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;p id="log"&gt;Awaiting focus check.&lt;/p&gt;
&lt;button onclick="openWindow()"&gt;Open a new window&lt;/button&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">function checkPageFocus() {
  let body = document.querySelector('body');
  let log = document.getElementById('log');

  if (document.hasFocus()) {
    log.textContent = 'This document has the focus.';
    body.style.background = '#fff';
  }
  else {
    log.textContent = 'This document does not have the focus.';
    body.style.background = '#ccc';
  }
}

function openWindow() {
  window.open('https://developer.mozilla.org/', 'MDN', 'width=640,height=320,left=150,top=150');
}

// Check page focus every 300 milliseconds
setInterval(checkPageFocus, 300);</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'interaction.html#dom-document-hasfocus', 'Document.hasFocus()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.hasFocus")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/User_experience/Using_the_Page_Visibility_API">Using the Page Visibility API</a></li>
</ul>
